org.apache.synapse.transport.passthru.jmx

## Class LatencyParameter

- java.lang.Object
- - org.apache.synapse.transport.passthru.jmx.LatencyParameter

-     public class LatencyParameter
      extends java.lang.Object

  Class responsible for update LatencyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LatencyParameter(boolean enabled)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAllTimeAverage()`
    `double` | `getAverageLatency15m()`
    `double` | `getAverageLatency1h()`
    `double` | `getAverageLatency1m()`
    `double` | `getAverageLatency24h()`
    `double` | `getAverageLatency5m()`
    `double` | `getAverageLatency8h()`
    `long` | `getLatency()`
    `void` | `reset()` Resetting ShortTerm and LongTermCaches.
    `void` | `update(long value)`
    `void` | `updateCache()` update cache
    `void` | `updateLongTermCache()` Method for update LongTermCache

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LatencyParameter

          public LatencyParameter(boolean enabled)

  - ### Method Detail

    - #### reset

          public void reset()

      Resetting ShortTerm and LongTermCaches.

    - #### getLatency

          public long getLatency()

      Returns:
        Latency

    - #### getAllTimeAverage

          public double getAllTimeAverage()

      Returns:
        AllTimeAverage

    - #### updateCache

          public void updateCache()

      update cache

    - #### update

          public void update(long value)

    - #### updateLongTermCache

          public void updateLongTermCache()

      Method for update LongTermCache

    - #### getAverageLatency15m

          public double getAverageLatency15m()

    - #### getAverageLatency5m

          public double getAverageLatency5m()

    - #### getAverageLatency1m

          public double getAverageLatency1m()

    - #### getAverageLatency24h

          public double getAverageLatency24h()

    - #### getAverageLatency8h

          public double getAverageLatency8h()

    - #### getAverageLatency1h

          public double getAverageLatency1h()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.